## GucharmapCodepointList

GucharmapCodepointList —

## Functions

gunichar | gucharmap_codepoint_list_get_char ()
gint | gucharmap_codepoint_list_get_index ()
gint | gucharmap_codepoint_list_get_last_index ()

## Types and Values

struct | GucharmapCodepointList

## Object Hierarchy

        GObject
        ╰── GucharmapCodepointList
            ├── GucharmapBlockCodepointList
            ╰── GucharmapScriptCodepointList

## Description

## Functions

### gucharmap_codepoint_list_get_char ()

    gunichar
    gucharmap_codepoint_list_get_char (GucharmapCodepointList *list,
                                       gint index);

#### Parameters

list | a GucharmapCodepointList |
index | index indicating which character to get |

#### Returns

code point at index `index` in the codepoint list, or (gunichar)(-1) if `index` is beyond the last index.

### gucharmap_codepoint_list_get_index ()

    gint
    gucharmap_codepoint_list_get_index (GucharmapCodepointList *list,
                                        gunichar wc);

#### Parameters

list | a GucharmapCodepointList |
wc | character for which to find the index |

#### Returns

index of `wc` , or -1 if `wc` is not in this codepoint list.

### gucharmap_codepoint_list_get_last_index ()

    gint
    gucharmap_codepoint_list_get_last_index
                                   (GucharmapCodepointList *list);

#### Parameters

list | a GucharmapCodepointList |

#### Returns

last index in this codepoint list.

## Types and Values

### struct GucharmapCodepointList

    struct GucharmapCodepointList;